Bug 857998 - Oddities in sync progress after task group move
Oddities in sync progress after task group move
Status: CLOSED NEXTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 42
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks: 873421
  Show dependency treegraph
 
Reported: 2012-09-17 14:02 EDT by Jay Dobies
Modified: 2013-09-09 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 873421 (view as bug list)
Environment:
Last Closed: 2012-11-20 12:00:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2012-09-17 14:02:11 EDT
My guess is that the code loops over each task and does the same thing. That handling has the potential to sit at "Waiting to begin" if it's encountered while the task being rendered is at the waiting state.

This can cause an oddity if the sync completes and the publish has yet to begin. See the example below. We should either prefix each section to make it clear that it's the publish portion that's waiting to begin or only display that "Waiting to begin" message on the first task in the group.



pulp-admin repo sync run --repo-id pulp
+----------------------------------------------------------------------+
                    Synchronizing Repository [pulp]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       35/35 items
Delta RPMs: 0/0 items
Tree Files: 0/0 items
Files:      0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

[-]
Waiting to begin
Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTP
[-]
... skipped

Publishing repository over HTTPS
[-]
... completed

Successfully synchronized repository

Note You need to log in before you can comment on or make changes to this bug.